package ui;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

/**
 * <p>This Applet class the ALTMMRFrame.</p>
 */
public class ALTMMRDemo extends JApplet implements ActionListener {
    // The Demo frame.
    ALTMMRFrame frame;
    // The buttons.
    JButton start;

    public void init() {
        start = new JButton("Run ALTMMR");
        this.setBackground(Color.white);
        this.getContentPane().setLayout(new GridLayout(1, 1));
        this.getContentPane().add(start);
        start.addActionListener(this);
    }

    // Handle button clicks here.
    public void actionPerformed(ActionEvent e) {
        if(frame == null) {
            frame = new ALTMMRFrame();
            Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
            Dimension frameSize = frame.getSize();
            if(frameSize.height > screenSize.height) {
                frameSize.height = screenSize.height;
            }
            if(frameSize.width > screenSize.width) {
                frameSize.width = screenSize.width;
            }
            frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
            frame.setVisible(true);
        }
    }

    // Make sure that the frame is disposed when the browser loads another page.
    public void stop() {
        if(frame != null) {
            frame.setVisible(false);
            frame.dispose();
            frame = null;
        }
    }
}


